Inyett Company Data
Basic information of a company
GET
/
2
/
{profileCountry}
/
company-data
/
companies
/
{country}
/
{orgNr}
/
info
Basic information of a company
curl --request GET \
--url https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"orgNumber": "5567804348",
"name": "Inyett AB",
"coAddress": "",
"address": "Redaregatan 50",
"zipCode": "25236",
"phonenumber": "042-210007",
"faxnumber": "",
"email": "",
"webaddress": "",
"community": "HELSINGBORG",
"county": "SKÅNE",
"legalGroup": "AB",
"legalGroupText": "Privat aktiebolag",
"registrationDate": "2009-04-06T00:00:00",
"vatRegistered": true,
"vatNr": "SE556780434801",
"statusCode": "100",
"statusDescription": "Aktivt",
"statusName": "Aktivt",
"statusDateFrom": "2009-04-06T00:00:00",
"town": "HELSINGBORG",
"specialInformations": [
{
"name": "Arb av reg",
"code": "AARG",
"value": "Yes"
},
{
"name": "F-tax",
"code": "FTAX",
"value": "Yes"
},
{
"name": "F-tax start date",
"code": "FTXSD"
},
{
"name": "Sni",
"code": "SNIC",
"value": "62010"
},
{
"name": "Sni description",
"code": "SNICD",
"value": "Programvaruproducenter"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO The country the requested company is registered in. ISO country code supported by the company data endpoints: SE, NO, DK or FI.
Available options:
SE, NO, DK, FI The company's organisation number (personal identity number for a sole proprietorship), without separators.
Response
OK
Basic company information: name, address, registration status and VAT details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Basic information of a company
curl --request GET \
--url https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/2/{profileCountry}/company-data/companies/{country}/{orgNr}/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"orgNumber": "5567804348",
"name": "Inyett AB",
"coAddress": "",
"address": "Redaregatan 50",
"zipCode": "25236",
"phonenumber": "042-210007",
"faxnumber": "",
"email": "",
"webaddress": "",
"community": "HELSINGBORG",
"county": "SKÅNE",
"legalGroup": "AB",
"legalGroupText": "Privat aktiebolag",
"registrationDate": "2009-04-06T00:00:00",
"vatRegistered": true,
"vatNr": "SE556780434801",
"statusCode": "100",
"statusDescription": "Aktivt",
"statusName": "Aktivt",
"statusDateFrom": "2009-04-06T00:00:00",
"town": "HELSINGBORG",
"specialInformations": [
{
"name": "Arb av reg",
"code": "AARG",
"value": "Yes"
},
{
"name": "F-tax",
"code": "FTAX",
"value": "Yes"
},
{
"name": "F-tax start date",
"code": "FTXSD"
},
{
"name": "Sni",
"code": "SNIC",
"value": "62010"
},
{
"name": "Sni description",
"code": "SNICD",
"value": "Programvaruproducenter"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}